/*
 *    This program is free software; you can redistribute it and/or modify
 *    it under the terms of the GNU General Public License as published by
 *    the Free Software Foundation; either version 2 of the License, or
 *    (at your option) any later version.
 *
 *    This program is distributed in the hope that it will be useful,
 *    but WITHOUT ANY WARRANTY; without even the implied warranty of
 *    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *    GNU General Public License for more details.
 *
 *    You should have received a copy of the GNU General Public License
 *    along with this program; if not, write to the Free Software
 *    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */


/*
 *    ClustersRetrievable.java
 *    Copyright (C) 2007 University of Waikato, Hamilton, New Zealand
 *
 */

package weka.clusterers;

import weka.core.Instances;

/**
 * An interface for cluster algorithms that can return the centroids used
 * internally.
 * 
 * @author Reuben Evans
 * @version $Revision$
 */
public interface ClustersRetrievable {
  
  /**
   * Gets the the cluster centroids.
   * 
   * @return		the cluster centroids
   */
  public Instances getClusterCentroids();
}
